#!/bin/sh
#
# This file is covered under the OPENdj Software License.  See the
# LICENSE file at the top level of this package for full details.  A
# copy of the license is also available at:
# http://opendj.org/docs/licenses/LICENSE.opendj
#
# Copyright 2001 DAX Interactive, LLC.
# 

. /etc/opendj/shell.env

cd $OPENDJ_BASE/web/jsp
rm -rf $OPENDJ_BASE/web/jsp/*
tar xzf $OPENDJ_BASE/deploy/jsp.tar.gz

cd $OPENDJ_BASE/web/htdocs
rm -rf $OPENDJ_BASE/web/htdocs/*
tar xzf $OPENDJ_BASE/deploy/htdocs.tar.gz
chmod -R 755 $OPENDJ_BASE/web/htdocs/*

cd $OPENDJ_BASE
tar xzf $OPENDJ_BASE/deploy/jars.tar.gz 

cd $OPENDJ_BASE/app/emailtemplates
rm -rf $OPENDJ_BASE/app/emailtemplates/*
tar xzf $OPENDJ_BASE/deploy/emailtemplates.tar.gz

cd $OPENDJ_BASE/app/scripts
tar xzf $OPENDJ_BASE/deploy/scripts.tar.gz

# Re-Create PLS files
$OPENDJ_BASE/app/scripts/deploy/createPLS.sh
