#! /bin/bash
#
# Licensed under the OPENdj Software License.  See LICENSE file for details.
# Copyright 2001 DAX Interactive, LLC.
# 

. /etc/opendj/shell.env

PGSQL="$POSTGRES_HOME/bin/psql $@"

$PGSQL < dropDB.sql
$PGSQL < createDB.sql
$PGSQL < insertGenre.sql
$PGSQL < insertDj.sql
$PGSQL < insertChannel.sql
$PGSQL < insertSchedBlock.sql
$PGSQL < insertMood.sql
$PGSQL < insertChatRoom.sql
$PGSQL < insertArchives.sql
