--
-- Licensed under the OPENdj Software License.  See LICENSE file for details.
-- Copyright 2001 DAX Interactive, LLC.
--
DROP TABLE PowerStatus;

DROP INDEX asyncmail_idx_status;
DROP INDEX asyncmail_idx_client;
DROP INDEX asyncmail_idx_queuetime;
DROP INDEX asyncmail_idx_errorcount;
DROP INDEX asyncmail_idx_nextsend;
DROP TABLE AsyncMail;
DROP SEQUENCE asyncmail_amid_seq;

DROP INDEX chatboot_idx_djid;
DROP INDEX chatboot_idx_boottime;
DROP INDEX chatboot_idx_ipaddr;
DROP INDEX chatboot_idx_name;
DROP TABLE ChatBoot;
DROP SEQUENCE chatboot_cbid_seq;

DROP INDEX chatcomments_idx_roomname;
DROP INDEX chatcomments_idx_archid;
DROP INDEX chatcomments_idx_posted;
DROP TABLE ChatComments;
DROP SEQUENCE chatcomments_commentid_seq;

DROP TABLE ChatRoom;

DROP INDEX onairstatus_idx_psid;
DROP INDEX onairstatus_idx_djid;
DROP INDEX onairstatus_idx_edjid;
DROP TABLE OnAirStatus;

DROP INDEX publishedschedule_idx_channelid;
DROP INDEX publishedschedule_idx_djid;
DROP INDEX publishedschedule_idx_edjid;
DROP INDEX publishedschedule_idx_starttime;
DROP INDEX publishedschedule_idx_endtime;
DROP INDEX publishedschedule_idx_status;
DROP INDEX publishedschedule_idx_archid;
DROP TABLE PublishedSchedule;
DROP SEQUENCE publishedschedule_psid_seq;

DROP INDEX archivedshow_idx_djid;
DROP INDEX archivedshow_idx_genre;
DROP INDEX archivedshow_idx_djmood;
DROP INDEX archivedshow_idx_channelid;
DROP INDEX archivedshow_idx_starttime;
DROP INDEX archivedshow_idx_endtime;
DROP INDEX archivedshow_idx_lastaired;
DROP INDEX archivedshow_idx_numlisteners;
DROP INDEX archivedshow_idx_numcomments;
DROP INDEX archivedshow_idx_rconncount;
DROP INDEX archivedshow_idx_rconnavg;
DROP INDEX archivedshow_idx_raudiocount;
DROP INDEX archivedshow_idx_raudioavg;
DROP INDEX archivedshow_idx_rstylecount;
DROP INDEX archivedshow_idx_rstyleavg;
DROP INDEX archivedshow_idx_iscompleted;
DROP INDEX archivedshow_idx_iskeeper;
DROP INDEX archivedshow_idx_isrerunnable;
DROP INDEX archivedshow_idx_karmaearned;
DROP TABLE ArchivedShow;
DROP SEQUENCE archivedshow_archid_seq;

DROP INDEX scheduled_idx_bid;
DROP INDEX scheduled_idx_djid;
DROP INDEX scheduled_idx_issingle;
DROP INDEX scheduled_idx_singledate;
DROP INDEX scheduled_idx_startlease;
DROP INDEX scheduled_idx_endlease;
DROP INDEX scheduled_idx_isactive;
DROP INDEX scheduled_idx_ispublished;
DROP INDEX scheduled_idx_uniquesingle;
DROP INDEX scheduled_idx_uniqueweekly;
DROP TABLE Scheduled;
DROP SEQUENCE scheduled_sid_seq;

DROP INDEX scheduleblock_idx_channelid;
DROP INDEX scheduleblock_idx_day;
DROP INDEX scheduleblock_idx_attributes;
DROP INDEX scheduleblock_idx_starttime;
DROP TABLE ScheduleBlock;
DROP SEQUENCE scheduleblock_bid_seq;

DROP INDEX dj_idx_ipaddr;
DROP INDEX dj_idx_genre;
DROP INDEX dj_idx_numshows;
DROP INDEX dj_idx_numreruns;
DROP INDEX dj_idx_karma;
DROP INDEX dj_idx_totallisteners;
DROP TABLE Dj;
DROP SEQUENCE dj_djid_seq;

DROP INDEX channel_idx_name;
DROP INDEX channel_idx_path;
DROP TABLE Channel;
DROP SEQUENCE channel_cid_seq;

DROP TABLE Genre;
DROP SEQUENCE genre_gid_seq;

DROP TABLE Mood;
DROP SEQUENCE mood_mid_seq;
