#!/usr/bin/tclsh8.0
#
# Licensed under the OPENdj Software License.  See LICENSE file for details.
# Copyright 2001 DAX Interactive, LLC.
#
# Usage:
# First make sure insertChannel.sql does not have any 
# "INSERT INTO ScheduleBlock..." lines in it.
# Then, to add the appropriate lines, execute this:
#
#   tclsh genSchedBlock.tcl >> insertChannel.sql
#
for { set i 1 } { $i <= 2 } { incr i } {
    for { set j 0 } { $j <= 6  } { incr j } {
	for { set k 0 } { $k < [expr 24*60] } { set k [expr $k+15] } {
	    puts "INSERT INTO ScheduleBlock ( channelid, day, attributes, starttime ) VALUES ( $i, $j, 0, $k );"
	}
    }
}
