#! /bin/bash

. /etc/opendj/shell.env

export CLASSPATH=$RT_JAR:$ACTIVATION_JAR:$MAIL_JAR:$REGEX_JAR:$PGSQL_JAR
export TOMCAT_OPTS="-server -Xms64m -Xmx256m"
ERR_FILE=$TOMCAT_HOME/logs/tomcat.err.log
OUT_FILE=$TOMCAT_HOME/logs/tomcat.out.log
cd $TOMCAT_HOME
rm -rf $TOMCAT_HOME/work/*
su $TOMCAT_USER -c $TOMCAT_HOME/bin/startup.sh 2> $ERR_FILE 1> $OUT_FILE
